Package dev.plex.command.blocking

# Class BlockedCommand

java.lang.Object
dev.plex.command.blocking.BlockedCommand

public class BlockedCommand extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`command`
`private List<String>`
`commandAliases`
`private net.kyori.adventure.text.Component`
`message`
`private String`
`regex`
`private String`
`requiredLevel`

## Constructor Summary

Constructors
Constructor
Description
`BlockedCommand()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### message

private net.kyori.adventure.text.Component message

### requiredLevel

private String requiredLevel

### regex

private String regex

### command

private String command

### commandAliases

private List<String> commandAliases

## Constructor Details

### BlockedCommand

public BlockedCommand()